package com.tofly.ghrq_route.module.planPointRepair.domain;

/**
 * 巡检录入设备类型
 * */
public class RouteDeviceType {

    public enum ROUTE_DEVICE_TYPE {
        ROUTE_DEVICE_TYX(1, "楼栋调压箱"),
        ROUTE_DEVICE_TYG(2, "调压柜记录表"),
        ROUTE_DEVICE_FAJING(3, "阀门"),
        ROUTE_DEVICE_YJBH(4, "阴极保护");

        ROUTE_DEVICE_TYPE(int typeId, String typeName) {
            this.typeId = typeId;
            this.typeName = typeName;
        }

        public int getType() {
            return typeId;
        }

        public String getTypeName() { return typeName; }

        public static ROUTE_DEVICE_TYPE TypeID(int typeId) {
            switch (typeId) {
                case 1:
                    return ROUTE_DEVICE_TYX;
                case 2:
                    return ROUTE_DEVICE_TYG;
                case 3:
                    return ROUTE_DEVICE_FAJING;
                case 4:
                    return ROUTE_DEVICE_YJBH;
            }
            return ROUTE_DEVICE_TYX;
        }

        final int typeId;
        final String typeName;
    }

    private int id;
    private String name;
    private String createUser;
    private String createUserName;
    private String createDate;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }
}
